Bug 981475 - Improper glyph names in Lohit fonts
Summary: Improper glyph names in Lohit fonts
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: lohit-fonts
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pravin Satpute
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-04 21:29 UTC by Khaled Hosny
Modified: 2015-03-31 09:02 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-31 09:02:50 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
FreeDesktop.org 66597 0 None None None Never

Description Khaled Hosny 2013-07-04 21:29:50 UTC
For purposes of text extraction from PDF files, glyphs should be named in accordance with Adobe Glyph Naming convention (http://www.adobe.com/devnet/opentype/archives/glyph.html). Most glyphs in Lohit fonts follow this convention properly, but some do not. I did not do an extensive review, but I noticed several occurances of glyph names like:

  u0919_u094D.half_u0915_u094D.half.half

Which is wrong, since step 1 of the mapping algorithm in the above link will drop the part of glyph name after the first occurence of a peroid, so only u0919_u094D will remain which is assume is not what is wanted here. A proper name would then be:

  u0919_u094D_u0915_u094D.half.half.half

or something like that (the part after the peroid is completely ignored, so it can be anything).

Comment 1 Pravin Satpute 2013-07-05 07:37:27 UTC
Thanks for raising this issues. This is really important. I will try to fix this in coming few months. 

Gone through the adobe AGL. So name should be

"string_text_with_underscore"."end_here"

Comment 2 Fedora End Of Life 2013-09-16 14:23:37 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20

Comment 3 Pravin Satpute 2013-10-03 06:44:28 UTC
With the Lohit2 project we are redoing all stuff. 

Just done release of Lohit-Devanagari 2.91.0, it fixes this issue.

https://www.redhat.com/archives/lohit-devel-list/2013-October/msg00001.html

Comment 4 Pravin Satpute 2015-03-31 09:02:50 UTC
This bug has been resolved. with latest Lohit releases.


Note You need to log in before you can comment on or make changes to this bug.